package com.singularity.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("chart_data")
@ApiModel(value="ChartData对象", description="")
public class ChartData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "数据文件附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "测点拼音简写")
    @TableField("measure_code")
    private String measureCode;

    @ApiModelProperty(value = "绘图数据")
    @TableField("chart_data")
    private byte[] chartData;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDate createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDate updateTime;


}
