package com.singularity.controller;

import com.singularity.pojo.dto.attachment.QueryCompareFileListDTO;
import com.singularity.pojo.dto.business.QueryBusinessTypeListDTO;
import com.singularity.pojo.vo.attachment.QueryCompareFileListVO;
import com.singularity.pojo.vo.business.QueryBusinessTypeListVO;
import com.singularity.service.FileBusinessService;
import com.singularity.util.result.CodeMessage;
import com.singularity.util.result.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;


@RestController
@Api(tags = "文件业务类型管理相关接口")
@RequestMapping("/api/fileBusiness")
public class FileBusinessController {

    @Resource
    private FileBusinessService fileBusinessService;

    @ApiOperation("查询文件业务类型列表")
    @PostMapping(value = "/queryBusinessTypeList")
    public Result<List<QueryBusinessTypeListVO>> queryBusinessTypeList(@RequestBody @Validated QueryBusinessTypeListDTO dto) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,fileBusinessService.queryBusinessTypeList(dto));
    }


    @ApiOperation("批量查询车辆对比文件列表")
    @PostMapping(value = "/queryCompareFileList")
    public Result<QueryCompareFileListVO> queryCompareFileList(@RequestBody @Validated QueryCompareFileListDTO dto) {
        return Result.buildSuccessResult(CodeMessage.S_SUCCESS,fileBusinessService.queryCompareFileList(dto));
    }


}

