package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.vehicle.VehicleInfoDTO;
import com.singularity.pojo.dto.kc.CarDataDTO;
import com.singularity.pojo.dto.kc.CarFileDTO;
import com.singularity.pojo.entity.CarBasicParam;
import com.singularity.pojo.param.kc.CarDataParam;
import com.singularity.pojo.param.kc.CarDataStatisticsParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface CarDataMapper extends BaseMapper<CarBasicParam> {


    List<CarDataDTO> select(CarDataParam carDataParam);

    List<CarBasicParam> selectAll(CarDataStatisticsParam carDataStatisticsParam);

    /**
     * 车辆信息新增
     * @param dto
     */
    void saveBasicParam(@Param("dto") List<CarFileDTO> dto);

    /**
     * 车辆信息新增
     * @param dto
     */
    void saveBodyParam(@Param("dto") List<CarFileDTO> dto);

    /**
     * 车辆信息新增
     * @param dto
     */
    void saveStructureParam(@Param("dto") List<CarFileDTO> dto);

    /**
     * 修改车身参数
     * @param carFileDTO
     */
    void updateCarBodyParam(@Param("dto") CarFileDTO carFileDTO);

    /**
     * 修改车辆基本参数
     * @param carMessageIdDTO
     */
    void updateCarBasicParam(@Param("dto") CarFileDTO carMessageIdDTO);

    /**
     * 修改车辆基本结构
     * @param carMessageIdDTO
     */
    void updateCarChassisStructure(@Param("dto") CarFileDTO carMessageIdDTO);

    /**
     * 删除车辆基本参数
     * @param carDataParam
     */
    void deleteCarBasicParam(@Param("dto") List<CarDataParam> carDataParam);

    /**
     * 删除车辆车身参数
     * @param carDataParam
     */
    void deleteCarBodyParam(@Param("dto") List<CarDataParam> carDataParam);

    /**
     * 删除车辆底盘结构
     * @param carDataParam
     */
    void deleteCarChassisStructure(@Param("dto") List<CarDataParam> carDataParam);

    /**
     * 设置试验类别
     * @param vehicleInfoDTO
     */
    void setCarData(@Param("dto") VehicleInfoDTO vehicleInfoDTO);
    /**
     * 新增试验类别
     * @param vehicleInfoDTO
     */
    void addCarData(@Param("dto") VehicleInfoDTO vehicleInfoDTO);

    Integer selectCarTestId(@Param("dto") VehicleInfoDTO vehicleInfoDTO);

}
