package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.condition.ConditionInfoListQueryDTO;
import com.singularity.pojo.dto.condition.ConditionTypeDTO;
import com.singularity.pojo.entity.ConditionInfo;
import com.singularity.pojo.vo.condition.ConditionInfoListQueryVO;
import com.singularity.pojo.vo.condition.ConditionNameVO;
import com.singularity.pojo.vo.kc.QueryKCConditionInfoVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ConditionInfoMapper extends BaseMapper<ConditionInfo> {

    /**
     * 工况列表分页查询
     */
    List<ConditionInfoListQueryVO> queryConditionInfoList(@Param("dto") ConditionInfoListQueryDTO dto);

    /**
     * 分类查询工况
     * @param conditionTypeDTO
     * @return
     */
    List<ConditionNameVO> selectConditionByType(@Param("dto") ConditionTypeDTO conditionTypeDTO);

    /**
     * 通过工况名称查询工况id
     * @param s
     * @return
     */
    Integer selectIdByConditionName(String s);

    /**
     * 查询K&C工况测点信息
     */
    List<QueryKCConditionInfoVO> queryKCConditionInfo();
}
