package com.singularity.dao;

import com.singularity.pojo.dto.experiment.PreprocessingDTO;

import com.singularity.pojo.dto.experiment.SelectPreprocessingDTO;
import com.singularity.pojo.vo.experiment.PreprocessingVO;
import com.singularity.pojo.dto.experiment.TestConditionDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 预处理
 */
@Mapper
public interface ProcessingMapper {
    /**
     * 增加预处理信息
     * @param preprocessingDTO
     */
    void updatePreprocessing(@Param("preprocessingDTO") PreprocessingDTO preprocessingDTO);

    /**
     * 查询预处理信息
     * @param selectPreprocessingDTO
     */
    PreprocessingVO selectPreprocessing(@Param("selectPreprocessingDTO") SelectPreprocessingDTO selectPreprocessingDTO);

    /**
     * 根据文件名上传试验条件(附件)
     * @param testConditionDTO
     * @return
     */
    int insertAttachmentFile(@Param("dto") TestConditionDTO testConditionDTO);

    /**
     * 根据文件名上传试验条件(试验方案)
     * @param testConditionDTO
     */
    void insertExperimentSettings(@Param("dto") TestConditionDTO testConditionDTO);
}
