package com.singularity.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.singularity.pojo.dto.user.UserDetailDTO;
import com.singularity.pojo.dto.user.UserListDTO;
import com.singularity.pojo.entity.User;
import com.singularity.pojo.param.user.UserDelListParam;
import com.singularity.pojo.param.user.UserListByDepartmentIdParam;
import com.singularity.pojo.param.user.UserListParam;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author 天
* @description 针对表【user(用户表)】的数据库操作Mapper
* @createDate 2023-08-26 14:16:55
* @Entity com.singularity.mapper.User
*/
@Mapper
public interface UserMapper extends BaseMapper<User> {

    /**
     * 获取用户列表
     * @param userListParam
     * @return
     */
    List<UserListDTO> getUserList(UserListParam userListParam);

    /**
     * 根据id获取用户个人信息
     * @param id
     * @return
     */
    UserDetailDTO getUserInfo(Integer id);

    Long selectByPhone(Long phone);

    List<UserListDTO> getUserListByDepartmentId(UserListByDepartmentIdParam userListByDepartmentIdParam);

    int updateList(UserDelListParam userDelListParam);
}




