package com.singularity.dao;

import com.singularity.pojo.dto.car.CarTypeDTO;
import com.singularity.pojo.vo.car.CarSingleMessageVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author 宇
 * @description 数据统计
 */
@Mapper
public interface VehicleDataMapper {
    /**
     * 车辆年份统计
     * @param carTypeDTO
     * @return
     */
    List<CarSingleMessageVO> selectYearNumber(@Param("dto") CarTypeDTO carTypeDTO);

    /**
     * 车辆级别数据统计
     * @param carTypeDTO
     * @return
     */
    List<CarSingleMessageVO> selectLevelNumber(@Param("dto") CarTypeDTO carTypeDTO);

    /**
     * 车辆类别数据统计
     * @param carTypeDTO
     * @return
     */
    List<CarSingleMessageVO> selectCategoryNumber(@Param("dto") CarTypeDTO carTypeDTO);

    /**
     * 车辆国别数据统计
     * @param carTypeDTO
     * @return
     */
    List<CarSingleMessageVO> selectCountryNumber(@Param("dto") CarTypeDTO carTypeDTO);

    /**
     * 车辆能源数据统计
     * @param carTypeDTO
     * @return
     */
    List<CarSingleMessageVO> selectEnergyNumber(@Param("dto") CarTypeDTO carTypeDTO);
}
