package com.singularity.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
@Slf4j
public class HandingReadChartDataListener implements ReadListener<Map<Integer,String>> {

    // 创建list集合封装最终的数据
    private List<Map<Integer,String>> chartDataList = new ArrayList<>();

    // 上一次不包含nullMap
    Map<Integer,String> lastMap = new HashMap<>();


    @Override
    public void invoke(Map<Integer,String> map, AnalysisContext context) {
        if(!map.containsValue(null)){
            lastMap = map;
        }else{ // 存在null则将上一次不为null的数据插入
            for (Integer key : lastMap.keySet()) {
                if(map.get(key) == null)
                    map.put(key,lastMap.get(key));
            }
        }
        chartDataList.add(map);
    }


    // 读取完成后执行
    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("excel读取完毕");
    }

}
