package com.singularity.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.singularity.pojo.entity.NVHEvaluation;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Slf4j
public class NVHObjectiveElectricListener implements ReadListener<Map<Integer,String>> {

    private final List<NVHEvaluation> nvhEvaluationList = new ArrayList<>();

    // 上一次不为空评价类别
    private String lastType;

    // 上一次不为空第一级工况
    private String lastFirstCondition;

    // 上一次不为空二级工况
    private String lastSecondCondition;

    private final LocalDateTime localDateTime = LocalDateTime.now();

    private final Long attachId;


    public NVHObjectiveElectricListener(Long attachId){
        this.attachId = attachId;
    }

    @Override
    //invoke方法的参数类型跟随实现的ReadListener的类型
    public void invoke(Map<Integer,String> map, AnalysisContext analysisContext) {
        NVHEvaluation nvhEvaluation = new NVHEvaluation();
        if(map.get(2) != null)lastType = map.get(2);
        nvhEvaluation.setType(lastType);
        if(map.get(3) != null)lastFirstCondition = map.get(3);
        nvhEvaluation.setFirstCondition(lastFirstCondition);
        if(map.get(4) != null)lastSecondCondition = map.get(4);
        nvhEvaluation.setSecondCondition(lastSecondCondition);
        nvhEvaluation.setUnit(map.get(5));
        nvhEvaluation.setTestValue(map.get(6));
        nvhEvaluation.setCreateTime(localDateTime);
        nvhEvaluation.setUpdateTime(localDateTime);
        nvhEvaluation.setAttachId(attachId);
        nvhEvaluationList.add(nvhEvaluation);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
