package com.singularity.listener;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.read.listener.ReadListener;
import com.singularity.pojo.entity.NVHEvaluation;
import lombok.Getter;
import lombok.extern.slf4j.Slf4j;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Getter
@Slf4j
public class NVHSubjectiveElectricListener implements ReadListener<Map<Integer,String>> {

    private final List<NVHEvaluation> nvhEvaluationList = new ArrayList<>();

    // 上一次不为空评价类别
    private String lastType;

    private final LocalDateTime localDateTime = LocalDateTime.now();

    private final Long attachId;

    private final List<String> xData = new ArrayList<>();

    private final List<Double> yData = new ArrayList<>();

    public NVHSubjectiveElectricListener(Long attachId){
        this.attachId = attachId;
    }

    @Override
    //invoke方法的参数类型跟随实现的ReadListener的类型
    public void invoke(Map<Integer,String> map, AnalysisContext analysisContext) {
        int currentRow = analysisContext.readRowHolder().getRowIndex() + 1;
        if(currentRow > 73)
            return;
        NVHEvaluation nvhEvaluation = new NVHEvaluation();
        if(map.get(0) != null){
            lastType = map.get(0);
            xData.add(map.get(0));
        }
        nvhEvaluation.setType(lastType);
        nvhEvaluation.setSort(map.get(1));
        if(map.get(2) != null)
            yData.add(Double.parseDouble(map.get(2)));
        nvhEvaluation.setItem(map.get(3));
        nvhEvaluation.setScore(Double.parseDouble(map.get(6)));
        nvhEvaluation.setRemark(map.get(7));
        nvhEvaluation.setCreateTime(localDateTime);
        nvhEvaluation.setUpdateTime(localDateTime);
        nvhEvaluation.setAttachId(attachId);
        nvhEvaluationList.add(nvhEvaluation);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {

    }
}
