package com.singularity.pojo.dto.TaskQueue;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QueryTaskQueueDTO{
    @ApiModelProperty("汽车id")
    private Integer carId;

    @ApiModelProperty("汽车车型")
    private String carModel;

    @ApiModelProperty("操作人id")
    private Integer operId;

    @ApiModelProperty("操作人昵称")
    private String nickName;

    @ApiModelProperty("状态（0：待处理，1：处理中，2：操作成功，3：操作失败）")
    private Integer stat;

    @ApiModelProperty("开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startTime;

    @ApiModelProperty("结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endTime;

    /**
     * 当前页
     */
    @ApiModelProperty(value = "当前页", name = "page", dataType = "Integer", example = "1")
    private Integer pageNum = 1;

    /**
     * 分页大小
     */
    @ApiModelProperty(value = "分页大小", name = "pageSize", dataType = "Integer", example = "10")
    private Integer pageSize = 10;
}
