package com.singularity.pojo.dto.attachment;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;

@Data
public class DownloadZipFileDTO {

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Integer carId;

    @ApiModelProperty(value = "业务类型")
    private Integer businessId;

    @ApiModelProperty(value = "业务类型分类0：数据文件,1:关键指标，2：试验报告，3：试验报告模板，4：原始数据")
    private Integer businessType;

    @ApiModelProperty(value = "业务类型分类父id")
    private Integer parentId;

    @ApiModelProperty(value = "工况id")
    private String conditionId;

    @ApiModelProperty(value = "开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;

    @ApiModelProperty(value = "结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;

    @ApiModelProperty(value = "文件关联数据表名称",hidden = true)
    private String ownerType;

    @ApiModelProperty(value = "转向（0：左转，1：右转）")
    private Integer steering;

    @ApiModelProperty(value = "试验车速")
    private String testSpeed;

    @ApiModelProperty(value = "数据类型（0：原始数据，1：预处理数据）")
    private Integer dataType;
}
