package com.singularity.pojo.dto.barking;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Map;

@Data
@ApiModel(description = "对比衬套试验数据结果")
public class CompareBarkingDataDTO {

    @NotEmpty(message = "对应关系不能为空")
    @ApiModelProperty(value = "附件id与车辆id对应map<附件id，车辆id>")
    private Map<Integer,Integer> map;

    @NotNull(message = "测试方式不能为空")
    @ApiModelProperty(value = "测试方式（0:下摆臂后衬套,1:下摆臂前衬套2:上摆臂衬套)", required = true)
    private Integer testType;

    @NotNull(message = "图像名称不能为空")
    @ApiModelProperty(value = "图像名称", required = true)
    private String chartName;


}
