package com.singularity.pojo.dto.barking;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("查询衬套试验数据文件列表DTO")
public class QueryBarkingDataFileListDTO {

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(required = true,value = "车辆id")
    private Integer carId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

    @ApiModelProperty(value = "附件关联表名称",hidden = true)
    private String ownerType;


}
