package com.singularity.pojo.dto.car;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class TyreFileQueryDTO {
    @NotNull(message = "汽车id不能为空")
    @ApiModelProperty(value = "汽车id",required = true)
    private Long carId;

    @ApiModelProperty("文件名称")
    private String fileName;

    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

    @ApiModelProperty(value = "附件关联表名称",hidden = true)
    private String ownerType;


}
