package com.singularity.pojo.dto.car;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@Builder
@ApiModel("修改试验文件上传状态入参")
public class UpdateExperimentStatDTO {

    @NotNull(message = "车辆主键id不能为空")
    @ApiModelProperty(required = true,value = "车辆主键id")
    private Integer id;

    @ApiModelProperty(value = "KC状态（KC数据文件上传状态（0：未上传，1：上传中，2：已上传））")
    private Integer kcStat;

    @ApiModelProperty(value = "NVH状态（nvh数据文件上传状态（0：未上传，1：上传中，2：已上传））")
    private Integer nvhStat;

    // 主观评价
    @ApiModelProperty(value = "商用车行驶性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer commercialUploadStat;

    @ApiModelProperty(value = "乘用车行驶性能主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer passengerUploadStat;

    @ApiModelProperty(value = "乘用车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer commodityUploadStat;

    @ApiModelProperty(value = "客车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer busUploadStat;

    @ApiModelProperty(value = "货车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer truckUploadStat;

    @ApiModelProperty(value = "客车商品性主观评价上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer nvhSubjectiveStat;

    // 行驶性能状态
    @ApiModelProperty(value = "行驶性能轮胎上传状态上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer tireUploadStat;

    @ApiModelProperty(value = "行驶性能减震器上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer damperUploadStat;

    @ApiModelProperty(value = "行驶性能衬套上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer bushingUploadStat;

    @ApiModelProperty(value = "行驶性能质心及转动惯量上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer inertiaUploadStat;

    @ApiModelProperty(value = "行驶性能平顺性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer rideUploadStat;

    @ApiModelProperty(value = "行驶性能滑行上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer coastUploadStat;

    @ApiModelProperty(value = "行驶性能操纵稳定性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer handingUploadStat;

    @ApiModelProperty(value = "行驶性能转向上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer steeringUploadStat;

    @ApiModelProperty(value = "行驶性能制动性上传状态（0：未上传，1：上传中，2：已上传）")
    private Integer brakingUploadStat;


}
