package com.singularity.pojo.dto.handing;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;

/**
 * 读取操作稳定性关键指标实体类
 */
@Data
public class HandingReadFileDTO {

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Integer attachId;

    @ApiModelProperty(value = "表头id")
    @TableField("table_head_id")
    private Integer tableHeadId;

    @ApiModelProperty(value = "数据行")
    @TableField("row_info")
    private String rowInfo;

    @ApiModelProperty(value = "状态（0：禁用，1：正常）")
    @TableField("stat")
    private Integer stat = 1;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDate createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDate updateTime;

}
