package com.singularity.pojo.dto.kc;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;

@Data
public class CarFileDTO {

    @ApiModelProperty(value = "id", dataType = "Long")
    private Long id;

    @ExcelProperty("品牌")
    @ApiModelProperty(value = "品牌", dataType = "String")
    private String brand;

    @ExcelProperty("车型")
    @ApiModelProperty(value = "车型", dataType = "String")
    private String carModel;

    @ExcelProperty("款式")
    @ApiModelProperty(value = "款式", dataType = "String")
    private String shape;

    @ExcelProperty("年型")
    @ApiModelProperty(value = "年型", dataType = "Integer")
    private Long yearType;

    @ExcelProperty("分类")
    @ApiModelProperty(value = "分类", dataType = "Integer")
    private Integer classification;

    @ExcelProperty("级别")
    @ApiModelProperty(value = "级别", dataType = "Integer")
    private Integer level;

    @ExcelProperty("类别")
    @ApiModelProperty(value = "类别(0:轿车,1:SUV,2:MPV,3:跑车,4:皮卡,5:面包车,6:越野车7:载客汽车,8:载货汽车,9:牵引汽车,10:专用汽车,11自卸汽车)")
    private Integer category;

    @ExcelProperty("国别(生产地)")
    @ApiModelProperty(value = "生产地(0:中国，1：日系，2：德系，3：美系，4：韩系，5：法系，6其它)")
    private Integer productionPlace;

    @ExcelProperty("里程(km)")
    @ApiModelProperty(value = "里程(km)",dataType = "Integer")
    private Integer mileage;

    @ExcelProperty("发动机布置方式")
    @ApiModelProperty(value = "发动机布置方式", dataType = "String")
    private String engineLayout;

    @ExcelProperty("发动机型号")
    @ApiModelProperty(value = "发动机型号", dataType = "String")
    private String engineModel;

    @ExcelProperty("排量(L)")
    @ApiModelProperty(value = "排量(L)", dataType = "Integer")
    private String displacement;

    @ExcelProperty("VIN")
    @ApiModelProperty(value = "VIN类似于车辆身份证", dataType = "String")
    private String VIN;

    @ExcelProperty("额定功率(kW)")
    @ApiModelProperty(value = "额定功率(kW)", dataType = "Integer")
    private Integer ratedPower;

    @ExcelProperty("额定功率转速(r/min)")
    @ApiModelProperty(value = "额定功率转速(r/min)", dataType = "Integer")
    private Integer ratedPowerSpeed;

    @ExcelProperty("变速器型式")
    @ApiModelProperty(value = "变速器型式", dataType = "String")
    private String transmissionType;

    @ExcelProperty("变速器型号")
    @ApiModelProperty(value = "变速器型号")
    private String transmissionModel;

    @ExcelProperty("最高设计车速(km/h)")
    @ApiModelProperty(value = "最高设计车速(km/h)")
    private Integer maximumSpeed;

    @ApiModelProperty(value = "驱动桥主减速比")
    @ExcelProperty("驱动桥主减速比")
    private String finalDriveRatio;

    @ExcelProperty("驱动形式及位置")
    @ApiModelProperty(value = "驱动形式及位置")
    private String driveTypeLocation;

    @ExcelProperty("变速器前进档个数")
    @ApiModelProperty(value = "变速器前进档个数")
    private Integer speedsNums;

    @ExcelProperty("能源")
    @ApiModelProperty(value = "能源(0：汽油，1：柴油，2：油电混合，3：纯电动，4：插电式混动，5：增程式，6：氢燃料，7：燃料电池，8：天然气，9：甲醇，10：汽油+48V轻混系统，11：汽油+24V轻混系统)")
    private Integer energy;

    @ExcelProperty("变速器各档速比")
    @ApiModelProperty(value = "变速器各档速比")
    private String gearRatio;

    @ExcelProperty("更新时间")
    @ApiModelProperty(value = "更新时间")
    private Date updatedAt;

    @ExcelProperty("创建时间")
    @ApiModelProperty(value = "创建时间")
    private Date createdAt;

    @ExcelProperty("车宽(mm)")
    @ApiModelProperty(value = "车宽(mm)")
    private Integer carWidth;

    @ExcelProperty("前轮距(mm)")
    @ApiModelProperty(value = "前轮距(mm)")
    private Integer frontTrack;

    @ExcelProperty("后轮距(mm)")
    @ApiModelProperty(value = "后轮距(mm)")
    private Integer rearTrack;

    @ExcelProperty("车高(mm)")
    @ApiModelProperty(value = "车高(mm)")
    private Integer carHeight;

    @ExcelProperty("车长(mm)")
    @ApiModelProperty(value = "车长(mm)")
    private Integer carLength;

    @ExcelProperty("轴距(mm)")
    @ApiModelProperty(value = "轴距(mm)")
    private Integer wheelbase;

    @ExcelProperty("最小离地间隙(mm)")
    @ApiModelProperty(value = "最小离地间隙(mm)")
    private Integer minGroundClearance;

    @ExcelProperty("车身型式")
    @ApiModelProperty(value = "车身型式")
    private String bodyType;

    @ExcelProperty("设计成员数(人)")
    private Integer totalNumbers;

    @ExcelProperty("底盘型号")
    @ApiModelProperty(value = "底盘型号")
    private String chassisModel;

    @ExcelProperty("转向形式")
    @ApiModelProperty(value = "转向形式 (0:液压助力转向 1：电动助力转向)")
    private Integer steeringType;

    @ExcelProperty("方向盘直径(m)")
    @ApiModelProperty(value = "方向盘直径(m)")
    private Double steeringWheelDiameter;

    @ExcelProperty("前悬挂形式")
    @ApiModelProperty(value = "前悬挂形式 1 非独立悬架,2 麦弗逊式独立悬架,3 双横臂/双叉臂、多连杆式独立悬架,4 半独立悬架")
    private Integer frontHangingForm;

    @ExcelProperty("前弹簧刚度(N/mm)")
    @ApiModelProperty(value = "前弹簧刚度(N/mm)")
    private Double frontSpringStiffness;

    @ExcelProperty("前弹簧杠杆比")
    @ApiModelProperty(value = "前弹簧杠杆比")
    private String frontSpringLeverageRatio;

    @ExcelProperty("前横向稳定杆直径(mm)")
    @ApiModelProperty(value = "前横向稳定杆直径(mm)")
    private Double frontStabilizerDiameter;

    @ExcelProperty("前缓冲块长度(mm)")
    @ApiModelProperty(value = "前缓冲块长度(mm)")
    private Double frontBufferBlockLen;

    @ExcelProperty("前缓冲块密度(g/cm^3)")
    @ApiModelProperty(value = "前缓冲块密度(g/cm^3)")
    private Double frontBufferDensity;

    @ExcelProperty("后悬挂形式")
    @ApiModelProperty(value = "后悬挂形式 1 非独立悬挂系统,2 独立悬挂系统 ...")
    private Integer rearHangingForm;

    @ExcelProperty("后弹簧刚度(N/mm)")
    @ApiModelProperty(value = "后弹簧刚度(N/mm)")
    private Double rearSpringStiffness;

    @ExcelProperty("后弹簧杠杆比")
    @ApiModelProperty(value = "后弹簧杠杆比")
    private String rearSpringLeverageRatio;

    @ExcelProperty("后横向稳定杆直径(mm)")
    @ApiModelProperty(value = "后横向稳定杆直径(mm)")
    private Double rearStabilizerDiameter;

    @ExcelProperty("后缓冲块长度(mm)")
    @ApiModelProperty(value = "后缓冲块长度(mm)")
    private Double rearBufferBlockLength;

    @ExcelProperty("后缓冲块密度(g/cm^3)")
    @ApiModelProperty(value = "后缓冲块密度(g/cm^3)")
    private Double rearBufferDensity;

    @ExcelProperty("前轮胎品牌")
    @ApiModelProperty(value = "前轮胎品牌")
    private String frontTireBrand;

    @ExcelProperty("前轮胎规格")
    @ApiModelProperty(value = "前轮胎规格")
    private String frontTireSpecifications;

    @ExcelProperty("前轮胎胎压(bar)")
    @ApiModelProperty(value = "前轮胎胎压(bar)")
    private Double frontTirePressure;

    @ExcelProperty("整备前轴荷(kg)")
    @ApiModelProperty(value = "整备前轴荷(kg)")
    private Double frontAxleLoad;

    @ExcelProperty("半载前轴荷(kg)")
    @ApiModelProperty(value = "半载前轴荷(kg)")
    private Double halfFrontAxleLoad;

    @ExcelProperty("满载前轴荷(kg)")
    @ApiModelProperty(value = "满载前轴荷(kg)")
    private Double fullyFrontAxleLoad;

    @ExcelProperty("前簧下质量(kg)")
    @ApiModelProperty(value = "前簧下质量(kg)")
    private Double frontSpringMass;

    @ExcelProperty("后轮胎品牌")
    @ApiModelProperty(value = "后轮胎品牌")
    private String rearTireBrand;

    @ExcelProperty("后轮胎规格")
    @ApiModelProperty(value = "后轮胎规格")
    private String rearTireSpecifications;

    @ExcelProperty("后轮胎胎压(bar)")
    @ApiModelProperty(value = "后轮胎胎压(bar)")
    private Double rearTirePressure;

    @ExcelProperty("整备后轴荷(kg)")
    @ApiModelProperty(value = "整备后轴荷(kg)")
    private Double rearAxleLoad;

    @ExcelProperty("半载后轴荷(kg)")
    @ApiModelProperty(value = "半载后轴荷(kg)")
    private Double halfRearAxleLoad;

    @ExcelProperty("满载后轴荷(kg)")
    @ApiModelProperty(value = "满载后轴荷(kg)")
    private Double fullyRearAxleLoad;

    @ExcelProperty("后簧下质量(kg)")
    @ApiModelProperty(value = "后簧下质量(kg)")
    private Double rearSpringMass;

    @ApiModelProperty(value = "前制动形式", dataType = "Integer")
    private Integer frontRetardation;

    @ApiModelProperty(value = "后制动形式", dataType = "Integer")
    private Integer rearRetardation;

    @ApiModelProperty(value = "厂商")
    private String manufacturer;

    @ApiModelProperty(value = "上市时间")
    private LocalDate listingDate;

    @ApiModelProperty(value = "官方0-100km/h加速(s)")
    private Double acceleration;

    @ApiModelProperty(value = "整备质量(kg)")
    private String equipQuality;

    @ApiModelProperty(value = "最大满载质量(kg)")
    private String maxEquipQuality;



    @ApiModelProperty(value = "接近角(°)")
    private Double approachAngle;

    @ApiModelProperty(value = "离去角(°)")
    private Double departureAngle;

    @ApiModelProperty(value = "车门开启方式")
    private String doorOpenType;

    @ApiModelProperty(value = "车门数(个)")
    private Integer doorNumber;

    @ApiModelProperty(value = "座位数(个)")
    private Integer seatNumber;

    @ApiModelProperty(value = "油箱容积(L)")
    private Double fuelSize;

    @ApiModelProperty(value = "后备厢容积(L)")
    private Double trunkSize;

    @ApiModelProperty(value = "风阻系数(Cd)")
    private String dragCoefficient;

    @ApiModelProperty(value = "驱动方式")
    private String drivingMode;

    @ApiModelProperty(value = "车体结构")
    private String bodyStructure;

    @ApiModelProperty(value = "驻车制动类型")
    private String parkingBraking;

    @ApiModelProperty(value = "备胎规格")
    private String spareTireSpecifications;

    @ApiModelProperty(value = "发送机类别（0：发动机，1：电动机）")
    @TableField("engine")
    private Integer engine;

    @ApiModelProperty(value = "进气形式")
    @TableField("air_intake_form")
    private String airIntakeForm;

    @ApiModelProperty(value = "气缸排列形式")
    @TableField("engine_arrangement")
    private String engineArrangement;

    @ApiModelProperty(value = "气缸数(个)")
    @TableField("cylinders_number")
    private Integer cylindersNumber;

    @ApiModelProperty(value = "最大马力(Ps)")
    @TableField("maximum_horsepower")
    private Integer maximumHorsepower;

    @ApiModelProperty(value = "最大功率(kW)")
    @TableField("maximum_power")
    private Integer maximumPower;

    @ApiModelProperty(value = "最大功率转速(rpm)")
    @TableField("maximum_power_speed")
    private String maximumPowerSpeed;

    @ApiModelProperty(value = "最大扭矩(N·m)")
    @TableField("acrot_orque")
    private Integer acrotOrque;

    @ApiModelProperty(value = "最大扭矩转速(rpm)")
    @TableField("maximum_torque_speed")
    private String maximumTorqueSpeed;

    @ApiModelProperty(value = "最大净功率(kW)")
    @TableField("maximum_net_power")
    private Integer maximumNetPower;

    @ApiModelProperty(value = "能源类型")
    @TableField("energy_type")
    private String energyType;

    @ApiModelProperty(value = "燃油标号")
    @TableField("fuel_grade")
    private String fuelGrade;

    @ApiModelProperty(value = "供油方式")
    @TableField("fuel_delivery_method")
    private String fuelDeliveryMethod;

    @ApiModelProperty(value = "环保标准")
    @TableField("environmental_standards")
    private String environmentalStandards;

    @ApiModelProperty(value = "前电动机型号")
    @TableField("front_electric_model")
    private String frontElectricModel;

    @ApiModelProperty(value = "前电机类型")
    @TableField("front_electric_type")
    private String frontElectricType;

    @ApiModelProperty(value = "后电动机型号")
    @TableField("rear_electric_model")
    private String rearElectricModel;

    @ApiModelProperty(value = "后电机类型")
    @TableField("rear_electric_type")
    private String rearElectricType;

    @ApiModelProperty(value = "电动机总功率(kW)")
    @TableField("electric_total_power")
    private Integer electricTotalPower;

    @ApiModelProperty(value = "电动机总扭矩(N·m)")
    @TableField("electric_total_torque")
    private Integer electricTotalTorque;

    @ApiModelProperty(value = "前电动机最大功率(kW)")
    @TableField("front_electric_max_power")
    private Integer frontElectricMaxPower;

    @ApiModelProperty(value = "前电动机最大扭矩(N·m)")
    @TableField("front_electric_max_torque")
    private Integer frontElectricMaxTorque;

    @ApiModelProperty(value = "后电动机最大功率(kW)")
    @TableField("rear_electric_max_power")
    private Integer rearElectricMaxPower;

    @ApiModelProperty(value = "后电动机最大扭矩(N·m)")
    @TableField("rear_electric_max_torque")
    private Integer rearElectricMaxTorque;

    @ApiModelProperty(value = "电机布局")
    @TableField("motor_layout")
    private String motorLayout;

    @ApiModelProperty(value = "简称")
    @TableField("abbreviation")
    private String abbreviation;

    @ApiModelProperty(value = "挡位个数")
    @TableField("gears_number")
    private String gearsNumber;
}
