package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@ApiModel(value = "ReadKCFileListDTO", description = "批量读取K&C数据文件入参")
public class ReadKCFileListDTO {

    @NotNull(message = "附件idList不能为空")
    @ApiModelProperty(value = "附件idList",required = true)
    private List<Integer> attachIdList;

    @NotNull(message = "绘图类型不能为空")
    @ApiModelProperty(value = "绘图类型",required = true)
    private String drawType;

    @NotEmpty(message = "车型List不能为空")
    @ApiModelProperty(value = "车型List",required = true)
    private List<String> carModelList;


}
