package com.singularity.pojo.dto.kc;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
public class UploadKCReportFileDTO {

    @ApiModelProperty(value = "文件列表")
    private MultipartFile multipartFile;

    @ApiModelProperty(value = "文件对应表id",required = true)
    @NotNull(message = "文件对应表id不能为空")
    private Long ownerId;

    @NotNull(message = "操作人id不能为空")
    @ApiModelProperty(value = "操作人id",required = true)
    private Integer operId;

    @ApiModelProperty(value = "文件对应表名",required = true)
    @NotNull(message = "文件对应表名不能为空")
    private String ownerType;

    @ApiModelProperty(value = "业务类型(" +
            "0-KC数据文件,，1-NVH，2-KC试验报告，3-平顺性数据文件，4-平顺性试验报告，5-主观评价试验报告，" +
            "6-平顺性试验曲线，7-操作稳定性数据文件，8-操作稳定性试验曲线，9-操作稳定性实验报告)"
            ,required = true)
    @NotNull(message = "文件对应表类型不能为空")
    private Integer businessType;
}
