package com.singularity.pojo.dto.measure;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.util.result.PageMessage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(description = "测点信息列表分页查询DTO")
public class QueryMeasureInfoListDTO extends PageMessage {

    @ApiModelProperty(value = "工况名称")
    private String conditionName;

    @ApiModelProperty(value = "测点名称")
    private String measureName;

    @ApiModelProperty(value = "测点名称简写")
    private String measureCode;

    @ApiModelProperty(value = "测点状态（1：正常，0：禁用）")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "创建日期开始")
    private Date createTimeStart;

    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @ApiModelProperty(value = "创建日期开始")
    private Date createTimeEnd;


}
