package com.singularity.pojo.dto.menuInfo;

import com.singularity.pojo.entity.Attachment;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class MenuInfoDTO {

    private Long id;

    /**
     * 菜单名称
     */
    private String menuName;

    /**
     * 父菜单id
     */
    private Long parentId;

    /**
     * 节点层级
     */
    private Long level;

    /**
     * 排序
     */
    private Long sort;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 父菜单id列表
     */
    private String parentIds;

    /**
     * 读取方式码 (只有测点有)
     */
    private String typeCode;

    /**
     * 附件文件
     * 只有最后一级有附件
     */
    private List<Attachment> fileList = new ArrayList<>();

    /**
     * 子菜单
     */
    private List<MenuInfoDTO> menuInfoDTOList=new ArrayList<>();

}
