package com.singularity.pojo.dto.nvh;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.Future;
import java.time.LocalDateTime;
import java.util.Date;

@Data
@ApiModel(description = "批量上传NVH数据文件")
public class UploadFileListDTO {

    @ApiModelProperty(value = "文件压缩包",dataType = "MultipartFile",required = true)
    private MultipartFile multipartFile;

    @ApiModelProperty(value = "操作人id")
    private Integer operId;

    @ApiModelProperty(value = "车辆id")
    private Integer carId;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "开始时间")
    @Future(message = "任务开始时间应该在当前时间之后")
    private Date taskStartTime;

    @ApiModelProperty(value = "任务开始时间,后端参数，前端忽略",hidden = true)
    private LocalDateTime startTime;

    @ApiModelProperty(value = "任务id,后端参数，前端忽略",hidden = true)
    private Integer taskId;

    @ApiModelProperty(value = "本地文件路径,后端参数，前端忽略",hidden = true)
    private String localFilePath;

    @ApiModelProperty(value = "文件名称,后端参数，前端忽略",hidden = true)
    private String originalFilename;

    @ApiModelProperty(value = "文件大小,后端参数，前端忽略",hidden = true)
    private Long size;

}
