package com.singularity.pojo.dto.ride;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Map;

@Data
@ApiModel(value = "CompareRideDataDTO",description = "对比平顺性试验结果入参")
public class CompareRideDataDTO {

    @NotEmpty(message = "对应关系不能为空")
    @ApiModelProperty(value = "附件id与车辆id对应map<附件id，车辆id>")
    private Map<Integer,Integer> map;

    @NotNull(message = "测试方式不能为空")
    @ApiModelProperty(value = "测试方式（0：脉冲输入-Zmax，1：脉冲输入-VDV，2：脉冲输入-峰值系数，3：随机输入-M类，4：随机输入-N类，" +
            "5：随机输入-卧姿）")
    private Integer testType;

    @NotNull(message = "车速不能为空")
    @ApiModelProperty(value = "车速")
    private Integer carSpeed;


}
