package com.singularity.pojo.dto.ride;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.singularity.util.page.RequestDTOWithPage;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.util.Date;


@Data
@EqualsAndHashCode(callSuper = false)
public class QueryRideFileListDTO extends RequestDTOWithPage {

    @NotNull(message = "汽车id不能为空")
    @ApiModelProperty(value = "ownerId",required = true)
    private Integer carId;

    @ApiModelProperty(value = "文件名")
    private String name;

    @ApiModelProperty(value = "工况id")
    private String conditionId;

    @ApiModelProperty(value = "开始日期(包括开始日期)",example = "2024-01-19")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    @ApiModelProperty(value = "结束日期(不包括结束日期)",example = "2024-01-22")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;
}
