package com.singularity.pojo.dto.spring;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("行驶性能弹簧文件列表分页查询入参")
public class QuerySpringFileListDTO {
    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Integer carId;

    @ApiModelProperty(value = "第几页(默认第一页)", example = "1")
    private int pageNum = 1;

    @ApiModelProperty(value = "每页显示多少条记录(默认每页10条)", example = "10")
    private int pageSize = 10;

    @ApiModelProperty(value = "业务类型")
    private Integer businessId;

    @ApiModelProperty(value = "业务类型分类0：数据文件,1:关键指标，2：试验报告，3：试验报告模板，4：原始数据")
    private Integer businessType;

    @ApiModelProperty(value = "业务类型分类父id")
    private Integer parentId;

    @ApiModelProperty(value = "文件关联数据表名称", hidden = true)
    private String ownerType;

    @ApiModelProperty(value = "转向（0：左转，1：右转）")
    private Integer steering;

    @ApiModelProperty(value = "试验车速(0:高速，1：低速)")
    private Integer testSpeed;

    @ApiModelProperty(value = "数据类型（0：原始数据，1：预处理数据）")
    private Integer dataType;
}
