package com.singularity.pojo.dto.steering;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import javax.validation.constraints.NotNull;

@Data
@ApiModel(value = "上传转向试验数据文件入参")
public class UploadSteeringDateFileDTO {

    @NotNull(message = "请选择您需要上传的附件")
    @ApiModelProperty(value = "转向试验数据文件，格式为.xlsx .xls .csv",required = true)
    private MultipartFile multipartFile;

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",required = true)
    private Long carId;

    @ApiModelProperty(value = "文件类型（0：低速转向力，1：原地转向力，2：动态转向，3：其它车速转向）")
    private Integer fileType;

    @ApiModelProperty(value = "车速")
    private Integer speed;

    @NotNull(message = "操作人id不能为空")
    @ApiModelProperty(value = "操作人id",required = true)
    private Integer operId;
}
