package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 底盘结构
 * </p>
 *
 * @author ${author}
 * @since 2024-05-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("car_chassis_structure")
@ApiModel(value="CarChassisStructure对象", description="底盘结构")
public class CarChassisStructure implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "底盘型号")
    @TableField("chassis_model")
    private String chassisModel;

    @ApiModelProperty(value = "转向形式 (0:液压助力转向 1：电动助力转向)")
    @TableField("steering_type")
    private Integer steeringType;

    @ApiModelProperty(value = "方向盘直径(m)")
    @TableField("steering_wheel_diameter")
    private Double steeringWheelDiameter;

    @ApiModelProperty(value = "前悬挂形式(0：麦弗逊，1：双横臂，2：板簧，3：其他 4：扭力梁式非独立悬架 5：气囊式空气悬架)")
    @TableField("front_hanging_form")
    private Integer frontHangingForm;

    @ApiModelProperty(value = "前弹簧刚度(N/mm)")
    @TableField("front_spring_stiffness")
    private Double frontSpringStiffness;

    @ApiModelProperty(value = "前弹簧杠杆比")
    @TableField("front_spring_leverage_ratio")
    private String frontSpringLeverageRatio;

    @ApiModelProperty(value = "前横向稳定杆直径(mm)")
    @TableField("front_stabilizer_diameter")
    private Double frontStabilizerDiameter;

    @ApiModelProperty(value = "前缓冲块长度(mm)")
    @TableField("front_buffer_block_len")
    private Double frontBufferBlockLen;

    @ApiModelProperty(value = "前缓冲块密度(g/cm^3)")
    @TableField("front_buffer_density")
    private Double frontBufferDensity;

    @ApiModelProperty(value = "后悬挂形式（0：三连杆，1：双横臂，2：麦弗逊，3：E型四连杆，4：五连杆，5、板簧，6、三连杆（非独立）7、五连杆（非独立）8、其它 9、H 臂悬架 10：扭力梁式非独立悬架 11：气囊式空气悬架）")
    @TableField("rear_hanging_form")
    private Integer rearHangingForm;

    @ApiModelProperty(value = "后弹簧刚度(N/mm)")
    @TableField("rear_spring_stiffness")
    private Double rearSpringStiffness;

    @ApiModelProperty(value = "后弹簧杠杆比")
    @TableField("rear_spring_leverage_ratio")
    private String rearSpringLeverageRatio;

    @ApiModelProperty(value = "后横向稳定杆直径(mm)")
    @TableField("rear_stabilizer_diameter")
    private Double rearStabilizerDiameter;

    @ApiModelProperty(value = "后缓冲块长度(mm)")
    @TableField("rear_buffer_block_length")
    private Double rearBufferBlockLength;

    @ApiModelProperty(value = "后缓冲块密度(g/cm^3)")
    @TableField("rear_buffer_density")
    private Double rearBufferDensity;

    @ApiModelProperty(value = "前轮胎品牌")
    @TableField("front_tire_brand")
    private String frontTireBrand;

    @ApiModelProperty(value = "前轮胎规格")
    @TableField("front_tire_specifications")
    private String frontTireSpecifications;

    @ApiModelProperty(value = "前轮胎胎压(bar)")
    @TableField("front_tire_pressure")
    private Double frontTirePressure;

    @ApiModelProperty(value = "整备前轴荷(kg)")
    @TableField("front_axle_load")
    private Double frontAxleLoad;

    @ApiModelProperty(value = "半载前轴荷(kg)")
    @TableField("half_front_axle_load")
    private Double halfFrontAxleLoad;

    @ApiModelProperty(value = "满载前轴荷(kg)")
    @TableField("fully_front_axle_load")
    private Double fullyFrontAxleLoad;

    @ApiModelProperty(value = "前簧下质量(kg)")
    @TableField("front_spring_mass")
    private Double frontSpringMass;

    @ApiModelProperty(value = "后轮胎品牌")
    @TableField("rear_tire_brand")
    private String rearTireBrand;

    @ApiModelProperty(value = "后轮胎规格")
    @TableField("rear_tire_specifications")
    private String rearTireSpecifications;

    @ApiModelProperty(value = "后轮胎胎压(bar)")
    @TableField("rear_tire_pressure")
    private Double rearTirePressure;

    @ApiModelProperty(value = "整备后轴荷(kg)")
    @TableField("rear_axle_load")
    private Double rearAxleLoad;

    @ApiModelProperty(value = "半载后轴荷(kg)")
    @TableField("half_rear_axle_load")
    private Double halfRearAxleLoad;

    @ApiModelProperty(value = "满载后轴荷(kg)")
    @TableField("fully_rear_axle_load")
    private Double fullyRearAxleLoad;

    @ApiModelProperty(value = "后簧下质量(kg)")
    @TableField("rear_spring_mass")
    private Double rearSpringMass;

    @ApiModelProperty(value = "驱动方式")
    @TableField("driving_mode")
    private String drivingMode;

    @ApiModelProperty(value = "车体结构")
    @TableField("body_structure")
    private String bodyStructure;

    @ApiModelProperty(value = "驻车制动类型")
    @TableField(" parking_braking")
    private String  parkingBraking;

    @ApiModelProperty(value = "备胎规格")
    @TableField("spare_tire_specifications")
    private String spareTireSpecifications;

}
