package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("car_energy_param")
@ApiModel(value="CarEnergyParam对象", description="车辆能源信息表")
public class CarEnergyParam implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "发送机类别（0：发动机，1：电动机）")
    @TableField("engine")
    private Integer engine;

    @ApiModelProperty(value = "发动机型号")
    @TableField("engine_model")
    private String engineModel;

    @ApiModelProperty(value = "排量(mL)")
    @TableField("displacement")
    private String displacement;

    @ApiModelProperty(value = "进气形式")
    @TableField("air_intake_form")
    private String airIntakeForm;

    @ApiModelProperty(value = "发动机布局")
    @TableField("engine_layout")
    private String engineLayout;

    @ApiModelProperty(value = "气缸排列形式")
    @TableField("engine_arrangement")
    private String engineArrangement;

    @ApiModelProperty(value = "气缸数(个)")
    @TableField("cylinders_number")
    private Integer cylindersNumber;

    @ApiModelProperty(value = "最大马力(Ps)")
    @TableField("maximum_horsepower")
    private Integer maximumHorsepower;

    @ApiModelProperty(value = "最大功率(kW)")
    @TableField("maximum_power")
    private Integer maximumPower;

    @ApiModelProperty(value = "最大功率转速(rpm)")
    @TableField("maximum_power_speed")
    private String maximumPowerSpeed;

    @ApiModelProperty(value = "最大扭矩(N·m)")
    @TableField("acrot_orque")
    private Integer acrotOrque;

    @ApiModelProperty(value = "最大扭矩转速(rpm)")
    @TableField("maximum_torque_speed")
    private String maximumTorqueSpeed;

    @ApiModelProperty(value = "最大净功率(kW)")
    @TableField("maximum_net_power")
    private Integer maximumNetPower;

    @ApiModelProperty(value = "能源类型")
    @TableField("energy_type")
    private String energyType;

    @ApiModelProperty(value = "燃油标号")
    @TableField("fuel_grade")
    private String fuelGrade;

    @ApiModelProperty(value = "供油方式")
    @TableField("fuel_delivery_method")
    private String fuelDeliveryMethod;

    @ApiModelProperty(value = "环保标准")
    @TableField("environmental_standards")
    private String environmentalStandards;

    @ApiModelProperty(value = "前电动机型号")
    @TableField("front_electric_model")
    private String frontElectricModel;

    @ApiModelProperty(value = "前电机类型")
    @TableField("front_electric_type")
    private String frontElectricType;

    @ApiModelProperty(value = "后电动机型号")
    @TableField("rear_electric_model")
    private String rearElectricModel;

    @ApiModelProperty(value = "后电机类型")
    @TableField("rear_electric_type")
    private String rearElectricType;

    @ApiModelProperty(value = "电动机总功率(kW)")
    @TableField("electric_total_power")
    private Integer electricTotalPower;

    @ApiModelProperty(value = "电动机总扭矩(N·m)")
    @TableField("electric_total_torque")
    private Integer electricTotalTorque;

    @ApiModelProperty(value = "前电动机最大功率(kW)")
    @TableField("front_electric_max_power")
    private Integer frontElectricMaxPower;

    @ApiModelProperty(value = "前电动机最大扭矩(N·m)")
    @TableField("front_electric_max_torque")
    private Integer frontElectricMaxTorque;

    @ApiModelProperty(value = "后电动机最大功率(kW)")
    @TableField("rear_electric_max_power")
    private Integer rearElectricMaxPower;

    @ApiModelProperty(value = "后电动机最大扭矩(N·m)")
    @TableField("rear_electric_max_torque")
    private Integer rearElectricMaxTorque;

    @ApiModelProperty(value = "电机布局")
    @TableField("motor_layout")
    private String motorLayout;

    @ApiModelProperty(value = "简称")
    @TableField("abbreviation")
    private String abbreviation;

    @ApiModelProperty(value = "挡位个数")
    @TableField("gears_number")
    private String gearsNumber;

    @ApiModelProperty(value = "变速箱类型")
    @TableField("transmission_type")
    private String transmissionType;
}
