package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("condition_info")
@ApiModel(value="ConditionInfo对象", description="工况信息表")
public class ConditionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "工况名称")
    @TableField("condition_name")
    private String conditionName;

    @ApiModelProperty(value = "工况名称简写")
    @TableField("condition_code")
    private String conditionCode;

    @ApiModelProperty(value = "matlab方法名")
    @TableField("method_name")
    private String methodName;

    @ApiModelProperty(value = "工况状态（0：正常，1：禁用）")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDate createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDate updateTime;


}
