package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("damper_data")
@ApiModel(value="DamperData对象", description="减振器数据表")
public class DamperData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId("id")
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "减振器类型（0：前减振器，1：后减振器）")
    @TableField("damper_type")
    private Integer damperType;

    @ApiModelProperty(value = "速度")
    @TableField("speed")
    private Integer speed;

    @ApiModelProperty(value = "频率")
    @TableField("frequency")
    private Double frequency;

    @ApiModelProperty(value = "振幅")
    @TableField("amplitude")
    private Double amplitude;

    @ApiModelProperty(value = "反弹速率")
    @TableField("rebound_vel")
    private Double reboundVel;

    @ApiModelProperty(value = "反弹力")
    @TableField("rebound")
    private Double rebound;

    @ApiModelProperty(value = "压缩速率")
    @TableField("compression_vel")
    private Double compressionVel;

    @ApiModelProperty(value = "压缩力")
    @TableField("compression")
    private Double compression;

    @ApiModelProperty(value = "work")
    @TableField("work")
    private Double work;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
