package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author 平
 * @description 画图参数表
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("drawing_type")
public class DrawingType {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 读取方式码
     */
    private String typeCode;

    /**
     * 绘图类型（1:折线图，2:统计图，3:三维图）
     */
    private int drawType;

    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;



}
