package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("measure_info")
@ApiModel(value="MeasureInfo对象", description="测点信息表")
public class MeasureInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "工况id")
    @TableField("condition_id")
    private Integer conditionId;

    @ApiModelProperty(value = "单位")
    @TableField("unit")
    private String unit;

    @ApiModelProperty(value = "测点名称")
    @TableField("measure_name")
    private String measureName;

    @ApiModelProperty(value = "测点名称简写")
    @TableField("measure_code")
    private String measureCode;

    @ApiModelProperty(value = "测点状态（1：正常，0：禁用）")
    @TableField("status")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDate createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDate updateTime;

    @ApiModelProperty(value = "曲线方法")
    @TableField("method_name")
    private String methodName;



}
