package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("ride_data")
@ApiModel(value="RideData对象", description="行驶性能平顺性试验数据表")
public class RideData implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Integer attachId;

    @ApiModelProperty(value = "测试方式（0：脉冲输入-Zmax，1：脉冲输入-VDV，2：脉冲输入-峰值系数，3：随机输入-M类，4：随机输入-N类，" +
            "5：随机输入-卧姿）")
    @TableField("test_type")
    private Integer testType;

    @ApiModelProperty(value = "车速")
    @TableField("car_speed")
    private Integer carSpeed;

    @ApiModelProperty(value = "测试位置")
    @TableField("test_index")
    private String testIndex;

    @ApiModelProperty(value = "第一次测试数据")
    @TableField("first_data")
    private Integer firstData;

    @ApiModelProperty(value = "第二次测试数据")
    @TableField("second_data")
    private Integer secondData;

    @ApiModelProperty(value = "第三次测试数据")
    @TableField("third_data")
    private Integer thirdData;

    @ApiModelProperty(value = "第四次测试数据")
    @TableField("firth_data")
    private Integer firthData;

    @ApiModelProperty(value = "第五次测试数据")
    @TableField("fifth_data")
    private Integer fifthData;

    @ApiModelProperty(value = "五次数据平均值")
    @TableField("average_data")
    private Double averageData;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
