package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author 天
 *
 * @description: 角色类
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("role")
public class Role{

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
    * 角色名
    */
    @TableField(value = "name")
    private String name;

    /**
    * 描述
    */
    @TableField(value = "description")
    private String description;

    /**
    * 创建人id
    */
    @TableField(value = "creator_id")
    private Integer creatorId;

    /**
    * 修改者id
    */
    @TableField(value = "modify_id")
    private Integer modifyId;

    /**
    * 排序
    */
    @TableField(value = "sort")
    private Integer sort;

    /**
    * 状态 0禁用、1启用
    */
    @TableField(value = "status")
    private Integer status;

    /**
    * 创建时间
    */
    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;

    /**
    * 更新时间
    */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;

}
