package com.singularity.pojo.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 天
 *
 * @description: 角色权限
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@TableName("role_permission")
public class RolePermission{

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
    * 角色id
    */
    private Long roleId;

    /**
    * 权限id
    */
    private Long permissionId;

    /**
    * 创建人id
    */
    private Integer creatorId;

    /**
    * 创建时间
    */
    @TableField(fill = FieldFill.INSERT)
    private Date createdAt;

    /**
    * 更新时间
    */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date updatedAt;

    public RolePermission(Long roleId, Long permissionId, Integer creatorId) {
        this.roleId = roleId;
        this.permissionId = permissionId;
        this.creatorId = creatorId;
    }
}
