package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("slide_test_condition")
@ApiModel(value="SlideTestCondition对象", description="滑行试验条件表")
public class SlideTestCondition implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Long attachId;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "车辆整备质量kg")
    @TableField("curb_weight")
    private Double curbWeight;

    @ApiModelProperty(value = "车辆试验前质量kg")
    @TableField("test_before_weight")
    private Double testBeforeWeight;

    @ApiModelProperty(value = "车辆试验后质量kg")
    @TableField("test_after_weight")
    private Double testAfterWeight;

    @ApiModelProperty(value = "旋转等效质量kg")
    @TableField("dynamometer_inertia_weight")
    private Double dynamometerInertiaWeight;

    @ApiModelProperty(value = "有效质量kg")
    @TableField("effective_weight")
    private Double effectiveWeight;

    @ApiModelProperty(value = "理论测试质量kg")
    @TableField("theory_test_weight")
    private Double theoryTestWeight;

    @ApiModelProperty(value = "平均大气温度℃")
    @TableField("average_atmospheric_temp")
    private Double averageAtmosphericTemp;

    @ApiModelProperty(value = "平均大气压力 kPa")
    @TableField("average_atmospheric_presure")
    private Double averageAtmosphericPresure;

    @ApiModelProperty(value = "平均风速m/s")
    @TableField("average_wind_speed")
    private Double averageWindSpeed;

    @ApiModelProperty(value = "滚尚阻力校正因子")
    @TableField("correction_factor")
    private Double correctionFactor;

    @ApiModelProperty(value = "空气阻力校正因子")
    @TableField("air_resistance_factor")
    private Double airResistanceFactor;

    @ApiModelProperty(value = "速度分析间隔km/h")
    @TableField("speed_analysis_interval")
    private Double speedAnalysisInterval;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
