package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("subjective_scene")
@ApiModel(value="SubjectiveScene对象", description="主观评价评价场景记录表")
public class SubjectiveScene implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "附件id")
    @TableField("attach_id")
    private Integer attachId;

    @ApiModelProperty(value = "评价人姓名")
    @TableField("evaluation_name")
    private String evaluationName;

    @ApiModelProperty(value = "评价时间")
    @TableField("evaluation_time")
    private String evaluationTime;

    @ApiModelProperty(value = "评价地点")
    @TableField("place")
    private String place;

    @ApiModelProperty(value = "评价车辆")
    @TableField("car_name")
    private String carName;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
