package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("table_head")
@ApiModel(value="TableHead对象")
public class TableHead implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "excel表名")
    @TableField("table_name")
    private String tableName;

    @ApiModelProperty(value = "sheet页名称")
    @TableField("sheet_name")
    private String sheetName;

    @ApiModelProperty(value = "状态（0：禁用，1：正常）")
    @TableField("stat")
    private Boolean stat;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    @ApiModelProperty(value = "试验类别id")
    @TableField("business_id")
    private Integer business_id;

    @ApiModelProperty(value = "数据表类型（0：绘图数据表，1：中间数据表，2：试验结果表）")
    @TableField("table_type")
    private Integer tableType;

    @ApiModelProperty(value = "结束行")
    @TableField("end_col")
    private Integer endCol;


}
