package com.singularity.pojo.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_queue")
@ApiModel(value="TaskQueue对象", description="任务队列记录表")
public class TaskQueue implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "车辆id")
    @TableField("car_id")
    private Long carId;

    @ApiModelProperty(value = "文件名称")
    @TableField("file_name")
    private String fileName;

    @ApiModelProperty(value = "操作人id")
    @TableField("oper_id")
    private Integer operId;

    @ApiModelProperty(value = "消耗时间（s）")
    @TableField("consume_time")
    private Long consumeTime;

    @ApiModelProperty(value = "状态（0：待处理，1：处理中，2：操作成功，3：操作失败）")
    @TableField("stat")
    private Integer stat;

    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time",fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

}
