package com.singularity.pojo.enumeration;

import lombok.Getter;

public class CarInfoEnum {

    @Getter
    public enum CategoryEnum{

        TUTORIAL("轿车",0),
        SUV("SUV",1),
        MPV("MPV",2),
        SPORTS_CAR("跑车",3),
        PICKUP("皮卡",4),
        VAN("面包车",5),
        ORV("越野车",6),
        PASSENGER_CAR("载客汽车",7),
        TRUCK("载货汽车",8),
        tractor("牵引汽车",9),
        SPECIAL_CAR("专用汽车",10),
        DUMP_TRUCK_CAR("11自卸汽车",11);

        private final String name;
        private final Integer code;

        CategoryEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (CategoryEnum value : CategoryEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (CategoryEnum value : CategoryEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum ProductionPlaceEnum{

        CHINA_PLACE("中国",0),
        JAPAN_PLACE("日系",1),
        GERMANY_PLACE("德系",2),
        AMERICA_PLACE("美系",3),
        SOUTH_KOREA_PLACE("韩系",4),
        FRANCE_PLACE("法系",5),
        OTHERS_PALAC("其它",6);

        private final String name;
        private final Integer code;

        ProductionPlaceEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (ProductionPlaceEnum value : ProductionPlaceEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (ProductionPlaceEnum value : ProductionPlaceEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum EnergyEnum{

        GASOLINE_ENERGY("汽油",0),
        DIESEL_ENERGY("柴油",1),
        GERMANY_ENERGY("油电混合",2),
        ELECTRIC_ENERGY("纯电动",3),
        PLUG_ENERGY("插电式混动",4),
        RANGE_EXTENDER_ENERGY("增程式",5),
        HYDROGEN_FUEL_ENERGY("氢燃料",6),
        FUEL_CELL_ENERGY("燃料电池",7),
        NATURAL_GAS_ENERGY("天然气",8),
        METHANOL_ENERGY("甲醇",9),
        GASOLINE_48V_ENERGY("汽油+48V轻混系统",10),
        GASOLINE_24V_ENERGY("汽油+24V轻混系统",11);

        private final String name;
        private final Integer code;

        EnergyEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (EnergyEnum value : EnergyEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (EnergyEnum value : EnergyEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }


    }

    @Getter
    public enum FrontHangingEnum{

        MAC("麦弗逊",0),
        DOUBLE_WISHBONE("双横臂",1),
        LEAF_SPRING("板簧",2),
        OTHER("其他",3),
        TBA("扭力梁式非独立悬架",4),
        AS("气囊式空气悬架",5);

        private final String name;
        private final Integer code;

        FrontHangingEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (FrontHangingEnum value : FrontHangingEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (FrontHangingEnum value : FrontHangingEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }


    @Getter
    public enum RearHangingEnum{
        THREE_LINK("三连杆",0),
        DOUBLE_WISHBONE("双横臂",1),
        MAC("麦弗逊",2),
        E_FOUR_LINK("E型四连杆",3),
        FIVE_LINK("五连杆",4),
        LEAF_SPRING("板簧",5),
        NON_THREE_LINK("三连杆（非独立）",6),
        NON_FIVE_LINK("五连杆（非独立）",7),
        OTHER("其它",8),
        H_ARM("H 臂悬架",9),
        TBA("扭力梁式非独立悬架",10),
        AS("气囊式空气悬架",11);

        private final String name;
        private final Integer code;

        RearHangingEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (RearHangingEnum value : RearHangingEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (RearHangingEnum value : RearHangingEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum ClassificationEnum{

        PHYSICS_VEHICLE("物理车",0),
        VIRTUAL_VEHICLE("虚拟样车",1);

        private final String name;
        private final Integer code;

        ClassificationEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (ClassificationEnum value : ClassificationEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (ClassificationEnum value : ClassificationEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum LevelEnum{

        A_LEVEL("A级",0),
        B_VEHICLE("B级",1),
        C_VEHICLE("C级",2),
        D_VEHICLE("D级",3);

        private final String name;
        private final Integer code;

        LevelEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (LevelEnum value : LevelEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (LevelEnum value : LevelEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum SteeringTypeEnum{

        HPS("液压助力转向",0),
        EPS("电动助力转向",1);

        private final String name;
        private final Integer code;

        SteeringTypeEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (SteeringTypeEnum value : SteeringTypeEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (SteeringTypeEnum value : SteeringTypeEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

    @Getter
    public enum RetardationEnum{

        BRAKE_ROTOR("盘式制动器",0),
        BRAKE_DRUM("鼓式制动器",1);

        private final String name;
        private final Integer code;

        RetardationEnum(String name,Integer code) {
            this.code = code;
            this.name = name;
        }

        public static String getNameByCode(Integer code){
            for (RetardationEnum value : RetardationEnum.values()) {
                if (code != null && code.equals(value.getCode()))
                    return value.getName();
            }
            return null;
        }

        public static Integer getCodeByName(String name){
            for (RetardationEnum value : RetardationEnum.values()) {
                if (name != null && name.equals(value.getName()))
                    return value.getCode();
            }
            return null;
        }
    }

}

//    public static String getNameByCode(Integer code){
//        for (ProductionPlaceEnum value : ProductionPlaceEnum.values()) {
//            if (code != null && code.equals(value.getCode()))
//                return value.getName();
//        }
//        return null;
//    }
//
//    public static Integer getCodeByName(String name){
//        for (ProductionPlaceEnum value : ProductionPlaceEnum.values()) {
//            if (name != null && name.equals(value.getName()))
//                return value.getCode();
//        }
//        return null;
//    }
