package com.singularity.pojo.enumeration;

import lombok.Getter;

@Getter
public enum FileTypeEnum {

    PHOTO_JPG(1, "jpg"),
    PHOTO_PNG(2, "png"),

    EXCEL_XLS(11,"xls"),
    EXCEL_XLSX(12,"xlsx"),
    EXCEL_CSV(13,"csv");

    private final Integer code;
    private final String name;

    FileTypeEnum(Integer code, String name) {
        this.name = name;
        this.code = code;
    }

    public static String getNameByCode(Integer code) {
        for (FileTypeEnum value : FileTypeEnum.values()) {
            if (code != null && code.equals(value.getCode())) {
                return value.getName();
            }
        }
        return null;
    }

    public static Integer getCodeByName(String name) {
        for (FileTypeEnum value : FileTypeEnum.values()) {
            if (name != null && name.equals(value.getName())) {
                return value.getCode();
            }
        }
        return null;
    }


}
