package com.singularity.pojo.excel;

import com.alibaba.excel.context.AnalysisContext;
import com.alibaba.excel.event.AnalysisEventListener;
import com.alibaba.excel.metadata.Head;
import com.alibaba.excel.metadata.data.ReadCellData;
import com.alibaba.excel.read.metadata.property.ExcelReadHeadProperty;
import com.singularity.pojo.dto.kc.KCReadDTO;
import lombok.extern.log4j.Log4j2;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@Log4j2
public class KCExcelListener extends AnalysisEventListener<KCReadDTO> {

    /**
     * 数据集合
     */
    private final List<KCReadDTO> resultList = new ArrayList<>();

    /**
     * 表头集合
     */
    private final List<TableHead> table = new ArrayList<>();

    @Override
    public void invokeHead(Map<Integer, ReadCellData<?>> headMap, AnalysisContext context) {
        ExcelReadHeadProperty excelReadHeadProperty = context.readWorkbookHolder().getExcelReadHeadProperty();
        Map<Integer, Head> headPropertyHeadMap = excelReadHeadProperty.getHeadMap();
        for (Map.Entry<Integer, Head> headEntry : headPropertyHeadMap.entrySet()) {
            Head head = headEntry.getValue();
            Integer index = headEntry.getKey();
            TableHead vo = new TableHead();
            vo.setTitle(head.getHeadNameList().get(0));
            vo.setFieldEnName(head.getFieldName());
            vo.setColumnIndex(index);
            table.add(vo);
        }

    }

    @Override
    public void invoke(KCReadDTO kcReadDTO, AnalysisContext analysisContext) {
        resultList.add(kcReadDTO);
    }

    @Override
    public void doAfterAllAnalysed(AnalysisContext analysisContext) {
        log.info("所有数据解析完成！");
    }

    public List<KCReadDTO>  getResultList() {
        return resultList;
    }
}

