package com.singularity.pojo.param.department.specimen;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author 平
 *
 * @description 样品添加参数
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class SpecimenAddParam {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 采样店铺id
     */
    private Long samplingShopId;

    /**
     * 采样商铺地址
     */
    private String samplingShopAddress;

    /**
     * 检测店铺id
     */
    private Long detectionShopId;

    /**
     * 检测商铺地址
     */
    private String detectionShopAddress;

    /**
     * 采样工作人员id
     */
    private Long userId;

    /**
     * 采样时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date samplingTime;

    /**
     * 任务描述
     */
    private String taskDescription;

    /**
     * 检测方式（0：自检，1：外送）
     */
    private Integer detectionMode;

    /**
     * 采样类型（0:毛发采样，1:污水采样）
     */
    private Integer sampleMode;


}
