package com.singularity.pojo.param.department.statistics;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.List;

/**
 * @author 平
 *
 * @description: 修改统计查询参数
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class StaQueryUpdateParam {

    /**
     * id
     */
    private Long id;

    /**
     * 报告名称
     */
    private String name;

    /**
     * 报告描述
     */
    private String describe;

    /**
     * 检测结果文本
     */
    private String detectionResult;

    /**
     * 检测类型
     */
    private Integer detectionType;

    /**
     * 检测结果图片
     */
    private List<MultipartFile> detectionResultFile = new ArrayList<>();

    /**
     * 数据库已经储存的检测结果图片id
     */
    private List<Long> oldDetectionResultFile = new ArrayList<>();

}
