package com.singularity.pojo.param.drawingType;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.util.Map;

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(description = "传递绘图模板参数")
public class DrawingTypeAddParam {

    @NotNull(message = "类型不能为空")
    @ApiModelProperty(dataType = "String",name = "画图类型(折线：LINE，条形：BAR，三维图：TD)",example = "LINE",required = true)
    private String type;

    @NotNull(message = "Excel参数不能为空")
    @ApiModelProperty(dataType = "Map",required = true)
    private Map<String,String> excelMap;

    /**
     * 业务类型(0-KC数据文件,，1-NVH，2-KC试验报告，3-平顺性数据文件，4-平顺性试验报告)
     */
    @ApiModelProperty(dataType = "Integer",example = "0",required = true)
    private int businessType;

    @NotNull(message = "绘图类型不能为空")
    @ApiModelProperty(dataType = "Integer",example = "1",required = true,name = "绘图类型（1:折线图，2:统计图，3:三维图）")
    private int drawType;
}
