package com.singularity.pojo.param.subjectiveEvaluation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;
import java.util.Map;

@Data
@ApiModel(value = "主观评价生成试验报告入参")
public class SubjectiveEvaluationReportsParam {

    @NotNull(message = "车辆id不能为空")
    @ApiModelProperty(value = "车辆id",dataType = "Long",required = true)
    private Long CarId;

    @NotNull(message = "附件id不能为空")
    @ApiModelProperty(value = "附件id",dataType = "Long",required = true)
    private Long attachId;

    @NotNull(message = "评价类别不能为空")
    @ApiModelProperty(value = "评价类别：1：商用车行驶性能主观评价，2：乘用车行驶性能主观评价，3：乘用车商品性主观评价，4：货车商品性主观评价" +
            "5：客车商品性主观评价",required = true)
    private Integer reviewType;

    @NotNull(message = "试验报告模板objName不能为空")
    @ApiModelProperty(value = "模板objName",required = true)
    private String objName;

    @ApiModelProperty(value = "SVG图像 DataUrl集合",dataType = "Integer")
    private String[] base64;

    @ApiModelProperty(value = "key数据表示：0-basic，1-body，2-chassis；value表示：列名id集合")
    private Map<Integer, List<Integer>> idMap;

}
