package com.singularity.pojo.vo.experiment;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "GetExperimentConditionVO",description = "")
public class GetExperimentConditionVO {
    @ApiModelProperty(value = "试验名称")
    private String testName;
    /**
     * 试验台名称
     */
    private String testBed;

    @ApiModelProperty("工况id")
    private Integer conditionId;

    /**
     * 试验开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "Asia/Shanghai")
    private Date startTime;

    /**
     * 试验结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "Asia/Shanghai")
    private Date endTime;

    /**
     * 单双轴(0-单轴,1-双轴)
     */
    private Integer axle;

    /**
     * 载荷（0-空载，1-半载，2-满载）
     */
    private Integer carLoad;

    /**
     * 前横向稳定杆是否启用（0-是，1否）
     */
    private Integer frontBar;

    /**
     * 后横向稳定杆是否启用（0-是，1否）
     */
    private Integer rearBar;

    /**
     * 转向助力（0-是，1否）
     */
    private Integer powerSteering;

    /**
     * 引擎是否启用（0-是，1否）
     */
    private Integer engine;
}
