package com.singularity.pojo.vo.nvh;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.singularity.pojo.entity.Attachment;
import com.singularity.util.result.PageMessage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "GetNVHMenuTreeVO",description = "查询NVH菜单树返回参数")
public class GetNVHMenuTreeVO extends PageMessage {

    @ApiModelProperty(value = "菜单ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "菜单名称")
    @TableField("menu_name")
    private String menuName;

    @ApiModelProperty(value = "父菜单ID")
    @TableField("parent_id")
    private Integer parentId;

    @ApiModelProperty(value = "节点层级")
    @TableField("level")
    private Integer level;

    @ApiModelProperty(value = "排序")
    @TableField("sort")
    private Integer sort;

    @ApiModelProperty(value = "备注")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "父id列表")
    @TableField("parent_ids")
    private String parentIds;

    @ApiModelProperty(value = "读取方式码（readLineFile:折线图 readStatFile：条形图read3DFile：三维图 ）")
    @TableField("type_code")
    private String typeCode;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    @TableField("update_time")
    private Date updateTime;

    /**
     * 附件文件
     * 只有最后一级有附件
     */
    private List<Attachment> attachmentList = new ArrayList<>();

    /**
     * 子菜单
     */
    private List<GetNVHMenuTreeVO> children = new ArrayList<>();
}
