package com.singularity.pojo.vo.ride;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel("根据附件类型查询所有附件VO")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class QueryRideFileListVO {

    @ApiModelProperty("附件id")
    private Integer id;

    @ApiModelProperty("附件minio存储名称")
    private String objName;

    @ApiModelProperty(value = "文件名称")
    private String name;

    @ApiModelProperty(value = "工况名称")
    private String testConditions;

    @ApiModelProperty(value = "工况名称简写")
    private String conditionCode;

    @ApiModelProperty(value = "载荷（0-空载，1-半载，2-满载）")
    private Integer carLoad;

    @ApiModelProperty(value = "文件大小")
    private Integer size;

    @ApiModelProperty("驾驶模式(0-标准)")
    private Integer drivingMode;

    @ApiModelProperty("试验车速")
    private String testSpeed;

    @ApiModelProperty(value = "操作人")
    private String operName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date createdAt;

}
