package com.singularity.pojo.vo.subjectiveEvaluation;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(description = "对比主观评价指标信息返回参数")
public class SubjectiveDataVO {

    @ApiModelProperty(value = "表头集合")
    private List<SubjectiveDataSon> tableDeadList;

    @ApiModelProperty(value = "对比结果（Map<车辆id，Map<指标名称,指标valueList>>）",dataType = "java.util.map")
    private Map<Long, Map<String, List<String>>> data;

    @Data
    @ApiModel(description = "对比主观评价指标信息子类")
    public static class SubjectiveDataSon{

        @ApiModelProperty(value = "指标名称")
        private String testName;

        @ApiModelProperty(value = "指标层级")
        private Long grade;

        @ApiModelProperty(value = "对比项集合")
        private List<SubjectiveDataSon2> SubjectiveDataSon2List;
    }

    @Data
    @ApiModel(description = "对比主观评价指标信息子类2")
    public static class SubjectiveDataSon2{

        @ApiModelProperty(value = "指标评分")
        private String modelRatings = "评分";

        @ApiModelProperty(value = "评语")
        private String modelReviews = "评语";

    }


}
