package com.singularity.pojo.vo.vehicle;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@ApiModel(value="CompareSineFitCharacteristicVO", description="对比质心及转动惯量-正弦拟合特性出参")
public class CompareSineFitCharacteristicVO {

    @ApiModelProperty(value = "表头集合")
    private List<CompareSineFitCharacteristicSon> tableDeadList;

    @ApiModelProperty(value = "对比结果（Map<车辆id，Map<指标名称,指标valueList>>）",dataType = "java.util.map")
    private Map<Integer, Map<String, List<String>>> data;

    @Data
    @ApiModel(description = "表头对象")
    public static class CompareSineFitCharacteristicSon{

        @ApiModelProperty(value = "指标名称")
        private String testName;

        @ApiModelProperty(value = "对比项集合")
        private List<CompareSineFitCharacteristicSon2> compareSineFitCharacteristicSon2List;
    }

    @Data
    @ApiModel(description = "对比主观评价指标信息子类2")
    public static class CompareSineFitCharacteristicSon2{

        @ApiModelProperty(value = "freq")
        private String freq = "freq";

        @ApiModelProperty(value = "amp")
        private String amp = "amp";

        @ApiModelProperty(value = "accel")
        private String accel = "accel";

        @ApiModelProperty(value = "offset")
        private String offset = "offset";

        @ApiModelProperty(value = "amplitude")
        private String amplitude = "amplitude";

        @ApiModelProperty(value = "phase")
        private String phase = "phase";

        @ApiModelProperty(value = "total")
        private String total = "total";

        @ApiModelProperty(value = "CG_value")
        private String CG_value = "CG_value";

    }

}
