package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.attachment.DownloadZipFileDTO;
import com.singularity.pojo.dto.attachment.QueryAttachmentListDTO;
import com.singularity.pojo.dto.attachment.QueryResourceFileListDTO;
import com.singularity.pojo.dto.attachment.UploadAttachmentDTO;
import com.singularity.pojo.dto.barking.QueryBarkingDataFileListDTO;
import com.singularity.pojo.dto.bushing.QueryBushingDataFileListDTO;
import com.singularity.pojo.dto.car.TyreFileQueryDTO;
import com.singularity.pojo.dto.damper.QueryDamperAttachmentDTO;
import com.singularity.pojo.dto.experiment.ExperimentFileDTO;
import com.singularity.pojo.dto.handing.QueryHandingFileListDTO;
import com.singularity.pojo.dto.handing.UploadReSourceFileDTO;
import com.singularity.pojo.dto.kc.CarExperimentParamListQueryDTO;
import com.singularity.pojo.dto.kc.KCFileSearch;
import com.singularity.pojo.dto.ride.QueryRideFileListDTO;
import com.singularity.pojo.dto.steering.QuerySteeringDataFileListDTO;
import com.singularity.pojo.dto.template.QueryTempAttachmentListDTO;
import com.singularity.pojo.entity.Attachment;
import com.singularity.pojo.vo.attachment.SelectAttachmentByFileNameVO;
import com.singularity.pojo.vo.attachment.QueryResourceFileListVO;
import com.singularity.pojo.vo.barking.QueryBarkingDataFileListVO;
import com.singularity.pojo.vo.bushing.QueryBushingDataFileListVO;
import com.singularity.pojo.vo.car.CarExperimentParamListQueryVO;
import com.singularity.pojo.vo.damper.QueryDamperDataFileListVO;
import com.singularity.pojo.vo.hading.QueryHandingFileListVO;
import com.singularity.pojo.vo.ride.QueryRideFileListVO;
import com.singularity.pojo.vo.steering.QuerySteeringDataFileListVO;
import com.singularity.pojo.vo.template.QueryAttachmentListVO;
import com.singularity.pojo.vo.template.QueryTempAttachmentListVO;
import com.singularity.pojo.vo.tire.QueryTireDataFileListVO;
import com.singularity.util.page.ResponseDTOWithPage;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;
import java.util.List;

public interface AttachmentService extends IService<Attachment> {

    Attachment uploadAttachment(MultipartFile multipartFile,String ownerType,Long ownerId);

    Attachment uploadAttachment(MultipartFile multipartFile,String ownerType,Long ownerId,int businessType);

    Attachment uploadAttachment(MultipartFile multipartFile,String ownerType,Long ownerId,int businessType,int operId);

    void uploadZipAttachment(MultipartFile multipartFile,String ownerType,Long ownerId,int businessType,int operId);

    void uploadHandingZipAttachment(UploadReSourceFileDTO dto);

    void uploadResourceFileList(MultipartFile multipartFile, String ownerType, Long ownerId, int businessType, int operId);

    void uploadAttachmentList(List<MultipartFile> multipartFileList,int businessType);

    List<Attachment> uploadAttachmentList(List<MultipartFile> multipartFileList,String ownerType,Long ownerId,int businessType);

    void uploadAttachmentList(List<MultipartFile> multipartFileList,String ownerType,Long ownerId,int businessType,int operId);

    Attachment uploadAttachment(InputStream in, String fileName, long size, String ownerType, Long ownerId,int businessType);

    Attachment uploadAttachment(InputStream in, String fileName, long size, String ownerType, Long ownerId,int businessType,int operId);

    List<Attachment> getAttachment(String ownerType,Long ownerId);

    List<Attachment> getAttachment(String ownerType,Long ownerId,int businessType);

    List<Attachment> getAttachment(List<Integer> businessTypeList);

    List<Attachment> getAttachment(Integer businessType);

    Attachment getAttachmentById(Integer id);

    InputStream downloadAttachment(String objName);

    void removeAttachment(String ownerType, Long ownerId);

    int removeAttachmentById(Long attachmentId);

    int removeAttachmentById(List<Long> attachmentIds);

    void updateAttachment(List<Long> attachmentIds, String ownerType, Long ownerId);

    List<CarExperimentParamListQueryVO> queryCarExperimentParamList(CarExperimentParamListQueryDTO dto);

    ResponseDTOWithPage<SelectAttachmentByFileNameVO> selectByFileMessages(KCFileSearch kcFileSearch);

    void asyncUpdateInertiaFile(ExperimentFileDTO experimentFileDTO);

    List<QueryHandingFileListVO> queryHandingFileList(QueryHandingFileListDTO dto);

    List<QueryTempAttachmentListVO> queryTempAttachmentList(QueryTempAttachmentListDTO dto);

    List<QueryBushingDataFileListVO> queryBushingDataFileList(QueryBushingDataFileListDTO dto);

    List<QueryBarkingDataFileListVO> queryBarkingDataFileList(QueryBarkingDataFileListDTO dto);

    List<QueryTireDataFileListVO> queryTireDataFileList(TyreFileQueryDTO dto);

    List<QueryAttachmentListVO> queryAttachmentList(QueryAttachmentListDTO dto);

    List<QueryAttachmentListVO> queryNVHSubjectiveAttachmentList(QueryAttachmentListDTO dto);

    Attachment uploadAttachment(UploadAttachmentDTO dto);

    List<QueryDamperDataFileListVO> queryDamperFile(QueryDamperAttachmentDTO dto);

    List<QuerySteeringDataFileListVO> querySteeringDataFileList(QuerySteeringDataFileListDTO dto);

    void checkRepeatFileName(String fileName,Long ownerId,Integer businessId,String ownerType);

    void checkRepeatFileName(List<String> fileNameList,Long ownerId,Integer businessId,String ownerType);

    ResponseDTOWithPage<QueryRideFileListVO> queryRideFileList(QueryRideFileListDTO dto);

    List<QueryResourceFileListVO> queryResourceFileList(QueryResourceFileListDTO dto);

    List<Attachment> queryAttachmentObjNameList(DownloadZipFileDTO dto);
}
