package com.singularity.service;


import com.singularity.pojo.entity.CarKeyIndex;
import com.singularity.pojo.param.kc.ExportKeyIndexParam;
import com.singularity.pojo.param.kc.SaveExcelParam;

import java.io.FileNotFoundException;
import java.io.InputStream;
import java.util.List;

/**
 * @author luo
 * @description CarKeyIndex存储相关接口
 */
public interface CarKeyIndexService {

    /**
     * 添加excel参数到数据库
     * @param saveExcelParam 文件id
     */
    void saveExcel(SaveExcelParam saveExcelParam) throws FileNotFoundException;


    /**
     * 添加数据到数据库
     * @param cachedDataList 数据列表
     * @return
     */
    int saveData(List<CarKeyIndex> cachedDataList);


    InputStream exportKeyIndex(ExportKeyIndexParam exportKeyIndexParam) throws FileNotFoundException;
}
