package com.singularity.service;

import com.singularity.pojo.dto.handing.*;
import com.singularity.pojo.vo.hading.CompareHandingTableDataVO;
import com.singularity.pojo.vo.hading.QueryExpTypeInfoVO;
import com.singularity.pojo.vo.hading.QueryHandingChartDataVO;
import com.singularity.pojo.vo.hading.QueryTableDataVO;

import java.util.List;

public interface HandingService {

    /**
     * 批量上传操纵稳定性试验结果文件
     */
    void uploadHandingFileList(UploadHandingFileDTO dto);

    /**
     * 生成操作稳定性试验报告
     */
    void createHadingReport(CreateHadingReportDTO dto);

    /**
     * 查询操作稳定性试验数据表
     */
    List<QueryTableDataVO> queryHandingTableData(QueryTableDataDTO dto);

    /**
     * 修改操作稳定性试验数据表
     */
    void updateHandingTableData(UpdateHandingTableDataDTO dto);

    /**
     * 查询操作稳定性图像数据
     */
    List<QueryHandingChartDataVO> queryHandingChartData(QueryHandingChartDataDTO dto);

    /**
     * 批量删除操作稳定性数据文件
     */
    void deleteHandingFile(DeleteHandingFileDTO dto);

    /**
     * 查询试验类别信息
     */
    List<QueryExpTypeInfoVO> queryExpTypeInfo(QueryExpTypeInfoDTO dto);

    /**
     * 对比操作稳定性图像数据
     */
    List<QueryHandingChartDataVO> compareHandingChartData(CompareHandingChartDataDTO dto);

    /**
     * 对比操作稳定性试验数据表
     */
    CompareHandingTableDataVO compareHandingTableData(CompareHandingTableDataDTO dto);


    void uploadReSourceFile (UploadReSourceFileDTO dto);
}
