package com.singularity.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.singularity.pojo.dto.measure.*;
import com.singularity.pojo.entity.MeasureInfo;
import com.singularity.pojo.vo.subjectiveEvaluation.measure.QueryMeasureInfoListVO;
import com.singularity.pojo.vo.subjectiveEvaluation.measure.QueryMeasureListByConditionIdVO;

import java.util.List;

public interface MeasureInfoService extends IService<MeasureInfo> {

    /**
     * 测点列表分页查询
     */
    List<QueryMeasureInfoListVO> queryMeasureInfoList(QueryMeasureInfoListDTO dto);

    /**
     * 增加测点信息
     */
    void addMeasureInfo(AddMeasureInfoDTO dto);

    /**
     * 删除测点信息
     */
    void deleteMeasureInfo(DeleteMeasureInfoDTO dto);

    /**
     * 修改测点信息
     */
    void updateMeasureInfo(UpdateMeasureInfoDTO dto);

    /**
     * 根据工况id查询测点列表
     */
    List<QueryMeasureListByConditionIdVO> queryMeasureListByConditionId(QueryMeasureListByConditionIdDTO dto);

}
