package com.singularity.service;

import com.singularity.pojo.dto.user.UserDetailDTO;
import com.singularity.pojo.dto.user.UserListDTO;
import com.singularity.pojo.param.user.*;
import com.singularity.util.page.ResponseDTOWithPage;
import com.singularity.pojo.entity.User;

public interface UserService {

    /**
     * 获取用户列表数据
     */
    ResponseDTOWithPage<UserListDTO> getUserList(UserListParam userListParam);

    /**
     * 根据电话查询用户
     */
    User getUserByPhone(Long phone);

    void insert(UserAddParam userAddParam);

    /**
     * 修改
     */
    void update(UserUpdateParam userUpdateParam);

    Boolean update(User user);


    /**
     * 根据id获取用户个人信息
     */
    UserDetailDTO getUserInfo(Integer id);

    /**
     * 给用户分配角色
     */
    Boolean distributeRole(DistributeRoleParam distributeRoleParam);

    /**
     * 修改密码
     */
    Boolean updatePsw(UpdatePswParam updatePswParam);

    void delUserList(UserDelListParam userDelListParam);
}
