package com.singularity.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.read.listener.PageReadListener;
import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.singularity.dao.ExperimentTypeMapper;
import com.singularity.dao.ExperimentalResultsMapper;
import com.singularity.pojo.dto.handing.QueryRideAbilityReportInfoDTO;
import com.singularity.pojo.entity.Attachment;
import com.singularity.pojo.entity.ExperimentalResults;
import com.singularity.pojo.param.rideAbility.*;
import com.singularity.pojo.vo.attachment.AttachmentVO;
import com.singularity.pojo.vo.hading.QueryRideAbilityReportInfoVO;
import com.singularity.service.AttachmentService;
import com.singularity.service.RideAbilityService;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.compress.archivers.ArchiveEntry;
import org.apache.commons.compress.archivers.zip.ZipArchiveInputStream;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Locale;
import java.util.Objects;
import java.util.stream.Collectors;

@Service
@Slf4j
public class RideAbilityServiceImpl implements RideAbilityService {

    @Resource
    private AttachmentService attachmentService;

    @Resource
    private ExperimentalResultsMapper experimentalResultsMapper;

    @Resource
    private ExperimentTypeMapper experimentTypeMapper;

    @SneakyThrows
    @Override
    @Transactional
    public int exResultUpload(RideAbilityExReUploadFileParam rideAbilityExReUploadFileParam) {
        // 1、删除旧数据
        LambdaQueryWrapper<ExperimentalResults> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(ExperimentalResults::getCarId, rideAbilityExReUploadFileParam.getCarId());
        experimentalResultsMapper.delete(wrapper);

        // 2、添加新数据
        List<ExReParam> exReParamList = new ArrayList<>();
        if (!rideAbilityExReUploadFileParam.getFile().isEmpty()) {
            InputStream inputStream = rideAbilityExReUploadFileParam.getFile().getInputStream();

            EasyExcel.read(inputStream, ExReParam.class, new PageReadListener<ExReParam>(dataList -> {
                for (ExReParam demoData : dataList) {
                    log.info("读取到一条数据{}", JSON.toJSONString(demoData));
                    exReParamList.add(demoData);
                }
            })).sheet().doRead();
        }

        return experimentalResultsMapper.insertList(rideAbilityExReUploadFileParam.getCarId(), exReParamList);

    }

    @Override
    public List<ExReParam> getExResult(RideAbilityExReParam rideAbilityExReParam) {
        return experimentalResultsMapper.selectByCarId(rideAbilityExReParam.getCarId());
    }

    @Override
    public AttachmentVO setExResult(SetExResultParam setExResultParam) throws IOException {
//        String fileName = RideAbilityServiceImpl.class.getResource("/").getPath() + "Write" + ".xlsx";
//        EasyExcel.write(fileName, ExReParam.class).sheet("test").doWrite(setExResultParam.getExReList());
//        attachmentService.removeAttachment("", setExResultParam.getOwnerId());
//        File file = new File(fileName);
//
//        MultipartFile cMultiFile = new MockMultipartFile("file", file.getName(), null, new FileInputStream(file));
//
//        AttachmentDTO attachmentDTO = BeanUtil.copyProperties(attachmentService.uploadAttachment(cMultiFile, "", setExResultParam.getOwnerId())
//                , AttachmentDTO.class);
//        attachmentDTO.setUrl(attachmentDTO.getPath());
//        return attachmentDTO;
        //    experimentalResultsMapper.setExResult(setExResultParam);


        return null;
    }

    @Override
    @SneakyThrows
    @Transactional
    public List<Attachment> exRePictureUpload(RideAbilityExRePictureUploadParam rideAbilityExReUploadFileParam) {
        List<MultipartFile> upload = new ArrayList<>();
        List<MultipartFile> zip = rideAbilityExReUploadFileParam.getFileList().stream().filter(item -> {
            String[] split = Objects.requireNonNull(item.getOriginalFilename()).split("\\.");
            boolean flag = split[split.length - 1].toLowerCase(Locale.ROOT).equals("zip");
            //
            if (!flag) upload.add(item);
            return flag;
        }).collect(Collectors.toList());

        List<Attachment> attachments = new ArrayList<>();
        if (upload.size() > 0)
            attachments.addAll(attachmentService.uploadAttachmentList(upload, "car_info", rideAbilityExReUploadFileParam.getCarId(), rideAbilityExReUploadFileParam.getBusinessType()));

//        zip.forEach(item -> {
//            try {
//                InputStream inputStream = item.getInputStream();
//                ZipInputStream zipInputStream = new ZipInputStream(inputStream, Charset.forName("GBK"));
//                ZipEntry zipEntry = zipInputStream.getNextEntry();
//                while (zipEntry != null) {
//                    if (zipEntry.isDirectory()) {
//                        throw new SaTokenException("文件夹不允许上传");
//                    } else {
//
//                        //此工具根据文件的前几位bytes猜测文件类型，对于文本、zip判断不准确，对于视频、图片类型判断准确
//                        //需要注意的是，xlsx、docx等Office2007格式，全部识别为zip，因为新版采用了OpenXML格式，这些格式本质上是XML文件打包为zip
//                        String type = FileTypeUtil.getType(zipInputStream);
//                        //判定准确，怎么处理数据流还待研究
//                        //MagicMatch match= Magic.printMagicFile();
//                        if (type.equals("jpg") || type.equals("png")) {
//                            Attachment attachment = attachmentService.uploadAttachment(zipInputStream, zipEntry.getName(), zipEntry.getSize(), "attachment", rideAbilityExReUploadFileParam.getAttachmentId(), 0);
//                            attachments.add(attachment);
//                        }
//
////                        AttachmentDTO attachmentDTO = BeanUtil.copyProperties(attachment, AttachmentDTO.class);
////                        attachmentDTO.setUrl(attachmentDTO.getPath());
////                        attachmentDTOS.add(attachmentDTO);
//                    }
//
//                    zipInputStream.closeEntry();
//                    zipEntry = zipInputStream.getNextEntry();
//
//                }
//                zipInputStream.close();
//                inputStream.close();
//            } catch (IOException e) {
//                throw new SaTokenException("异常");
//            }
//
//
//        });


//        try (InputStream is = zip.get(0).getInputStream();
//             //BufferedInputStream bis = new BufferedInputStream(is);
//             ZipInputStream zis = new ZipInputStream(is, Charset.forName("GBK"))) {
//
//            ZipEntry ze;
//
//
//            while ((ze = zis.getNextEntry()) != null) {
////                此工具根据文件的前几位bytes猜测文件类型，对于文本、zip判断不准确，对于视频、图片类型判断准确
//                        //需要注意的是，xlsx、docx等Office2007格式，全部识别为zip，因为新版采用了OpenXML格式，这些格式本质上是XML文件打包为zip
//                String type = FileTypeUtil.getType(zis);
////                        //判定准确，怎么处理数据流还待研究
////                        //MagicMatch match= Magic.printMagicFile();
//                System.out.println(zis.available());
//                if (type.equals("jpg") || type.equals("png")) {
//                    Attachment attachment = attachmentService.uploadAttachment(zis, ze.getName(), ze.getSize(), "attachment", rideAbilityExReUploadFileParam.getAttachmentId(), 0);
//                    attachments.add(attachment);
//                }
//
//
//                System.out.format("File: %s Size: %d Last Modified %s %n",
//                        ze.getName(), ze.getSize(),
//                        LocalDate.ofEpochDay(ze.getTime() / 86400000L));
//                zis.closeEntry();
//            }
//        }

        zip.forEach(item -> {
            try {
                ZipArchiveInputStream in = new ZipArchiveInputStream(new BufferedInputStream(item.getInputStream()), "GBK");
                ArchiveEntry archiveEntry;
                while ((archiveEntry = in.getNextEntry()) != null) {
                    if (archiveEntry.isDirectory()) {
                        continue;
                    }
                    //获取文件名
                    String[] split = archiveEntry.getName().split("/");
                    String entryFileName = split[split.length - 1];
                    System.out.println(entryFileName);
                    System.out.println(archiveEntry.getSize());
                    System.out.println(archiveEntry.getLastModifiedDate());
                    Attachment attachment = attachmentService.uploadAttachment(in, entryFileName, archiveEntry.getSize(), "car_info", rideAbilityExReUploadFileParam.getCarId(), rideAbilityExReUploadFileParam.getBusinessType());
                    attachments.add(attachment);
                }
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        });


        return attachments;
    }

    @Override
    public List<AttachmentVO> getPicture(GetPictureParam getPictureParam) {
        List<Attachment> attachments = attachmentService.getAttachment("car_info", getPictureParam.getCarId(), getPictureParam.getBusinessType());
        List<AttachmentVO> attachmentVOS = BeanUtil.copyToList(attachments, AttachmentVO.class);
        attachmentVOS.forEach(item -> item.setUrl(item.getPath()));
        return attachmentVOS;
    }

    @Override
    @Transactional
    public void updateExResult(UpdateExResultParam updateExResultParam) {
        experimentalResultsMapper.updateExResult(updateExResultParam);
    }

    @Override
    public int addExResult(ExperimentalResults experimentalResults) {
        return experimentalResultsMapper.insert(experimentalResults);
    }

    /**
     * 查询行驶性能试验报告信息列表
     */
    @Override
    public List<QueryRideAbilityReportInfoVO> queryRideAbilityReportInfo(QueryRideAbilityReportInfoDTO dto){
        return experimentTypeMapper.queryRideAbilityReportInfo(dto);
    }


}
