package com.singularity.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.singularity.dao.SineFitCharacteristicMapper;
import com.singularity.pojo.dto.car.SineFitCharacteristcDTO;
import com.singularity.pojo.entity.SineFitCharacteristic;
import com.singularity.service.SineFitCharacteristicService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;


@Service
public class SineFitCharacteristicServiceImpl extends ServiceImpl<SineFitCharacteristicMapper, SineFitCharacteristic> implements SineFitCharacteristicService {

    @Resource
    private SineFitCharacteristicMapper sineFitCharacteristicMapper;

    @Override
    public List<SineFitCharacteristic> getAllData(SineFitCharacteristcDTO sineFitCharacteristcDTO) {
        LambdaQueryWrapper<SineFitCharacteristic> qws = new LambdaQueryWrapper<>();
        qws.eq(SineFitCharacteristic::getAttachId,sineFitCharacteristcDTO.getAttachId());
        qws.eq(SineFitCharacteristic::getCarId,sineFitCharacteristcDTO.getCarId());
        return sineFitCharacteristicMapper.selectList(qws);
    }

    @Override
    public void sineFitCharacteristicData(SineFitCharacteristic sineFitCharacteristic) {
        sineFitCharacteristicMapper.updateById(sineFitCharacteristic);
    }
}
