package com.singularity.util.authentication;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * @author 天
 * Time: 2023/11/15 20:18
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class FaceResSuccessData {

    private String order_no;

    private String msg;

    private String birthday;

    private Double score;

    private String address;

    /**
     * incorrect详解
     *   1、编号说明
     *     100 比对成功
     *     101 身份证号码姓名不一致
     *     102 库中无此号
     *     103 身份核验成功，数据非法
     *     104 数据非法
     *     106 身份核验成功，人脸识别系统异常
     *     107 照片质量不合格
     *     108 上传图片文件过大
     *     109 身份核验成功，库中无照片
     *     110 身份核验成功，特征提取失败
     *     111 身份核验成功，检测到多于一张人脸
     *     112 身份核验成功，图片不合法
     *     113 人像比对服务异常
     *
     *   2、103，104区别
     *     103证件号码一致，照片比对时报错；104未进行证件号校验，数据检验报错。
     *
     *   3、104，107区别
     *     107检测到的公安错误；104未检测到的公安错误
     */
    private Integer incorrect;

    private String sex;
}
