package com.singularity.util.result;

public enum CodeMessage {

    /**
     * 返回信息
     * 命名规则：(E/S) + 形容词 + 名称;可以适当采用英文缩写
     */
    S_SUCCESS(0, "操作成功"),
    S_EMPTY(1, "查询数据为空"),
    E_ERROR(-1, "操作失败");

    private final int code;

    private final String message;

    CodeMessage(int code, String message) {
        this.code = code;
        this.message = message;
    }

    /**
     * 获取message
     */
    public String getMessage() {
        return message;
    }

    public int getCode() {
        return code;
    }

}
